%global commit 547fa3722515bfca6619e326bd7d11cae9321139
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20220213


Name:                    emcrk
Version:                 0.0.3
Release:                 6.git%{gitdate}%{?dist}
Summary:                 Tools for reading and manipulating various CROOK data structures.

License:                 GPLv2+
URL:                     https://github.com/jakubfi/emcrk
Source0:                 https://github.com/jakubfi/emcrk/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:           gcc
BuildRequires:           cmake >= 3.0.0
Requires:                libemcrk

%description
EMCRK are tools for reading and manipulating various CROOK data structures.
r40 - R40 to/from ASCII translator
crkfind - look for CROOK-5 kernels in a file


%package -n libemcrk
Summary: This is a library for reading and manipulating various CROOK data structures.

%description -n libemcrk
Library of CROOK-5 data structures and accompanying unpack/pack functions


%package -n libemcrk-devel
Summary: This is a library for reading and manipulating various CROOK data structures.

%description -n libemcrk-devel
Package consists of libemcrk development headers


%prep
%autosetup -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n emcrk
%license COPYING
%{_bindir}/crkfind
%{_bindir}/crkcfg
%{_bindir}/r40

%files -n libemcrk
%{_libdir}/libemcrk.so
%{_libdir}/libemcrk.so.0.0

%files -n libemcrk-devel
%{_includedir}/emcrk/*.h
%{_libdir}/cmake/emcrk/*.cmake

%changelog
* Sun Feb 13 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 0.0.3-6.git20220213
- install library RUNTIME (for windows)
- add build action for linux and windows

* Sun Feb 13 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 0.0.3-5.git20220213
- merge target properties
- Merge pull request #2 from sunwire/master

* Sat Feb 12 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 0.0.3-5.git20220212
- support building on windows
- lots of CMake updates
- fix compilation warning
- remove .travis.yml

* Tue Jan 11 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 0.0.3-4
- fix off-by-1
- formatting
- remove magic, rename file functions to load/save
- file decode/encode
- fix encode check
- use unsigned ints
- add winchester types
- fix lines configuration for char channel devices
- lines configuration, plural

* Thu Jan 6 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 0.0.3-3
- kfind: searching for kernels in a file
- Add crook configuration management

* Sat Dec 11 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 0.0.3-2
- Split into separate packages

* Sat Dec 4 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 0.0.3-1
- Initial build

